Name: gtkdialogs
Version: 1.2
Release: alt1
Summary: Ready-to-use gtk+ dialog boxes for urpmi

%define pkgmodule gtk+-2.0

Source: gtkdialogs.tar.bz2
Patch: gtkdialogs-alt-gtk2.patch
License: GPL
Provides: gchooser gmessage xtest
Group: System/Base

# Automatically added by buildreq on Wed Oct 09 2002
BuildRequires: XFree86-devel XFree86-libs Xft-devel fontconfig freetype2-devel glib2-devel libatk-devel libexpat libgtk+2-devel libpango-devel pkgconfig

%description
Ready-to-use gtk+ dialog boxes:
- xtest lets you test if X is running or not
- gmessage show a message and some buttons, it returns with the number of the
  pressed button
- gchooser presents a list of entries from which the user can choose

%prep
%setup -n %name -q
%patch -p1

%__subst 's/gtk-config/pkg-config %pkgmodule/' Makefile

make clean

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
make prefix=$RPM_BUILD_ROOT install

%files
%_x11bindir/*

%changelog
* Wed Oct 09 2002 Stanislav Ievlev <inger@altlinux.ru> 1.2-alt1
- rebuild with gcc3
- move to gtk2

* Tue Nov 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.0-ipl4mdk
- Added some patches from Mandrake
- Some spec cleanup

* Thu Mar 6 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.0-ipl3mdk
- Fix locale

* Sun Jan 14 2001 AEN <aen@logic.ru>
- RE adaptation

* Mon Aug 07 2000 DindinX <odin@mandrakesoft.com> 1.0-1mdk
- very first release as a standalone package

